

sound/core/info.c:31: sound/utsname.h: No such file or directory
sound/core/info.c: In function `snd_info_version_read':
sound/core/info.c:965: parse error before `CONFIG_SND_VERSION'
sound/core/info.c:962: warning: unused variable `kernel_version'


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/core/info.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN sound/core/info.c~bk-kbuild-utsname-fix sound/core/info.c
--- 25/sound/core/info.c~bk-kbuild-utsname-fix	2004-11-01 23:44:16.850163928 -0800
+++ 25-akpm/sound/core/info.c	2004-11-01 23:44:45.985734648 -0800
@@ -25,10 +25,13 @@
 #include <linux/vmalloc.h>
 #include <linux/time.h>
 #include <linux/smp_lock.h>
+#include <linux/utsname.h>
+#include <linux/config.h>
+
 #include <sound/core.h>
+#include <sound/version.h>
 #include <sound/minors.h>
 #include <sound/info.h>
-#include <sound/utsname.h>
 #include <linux/proc_fs.h>
 #include <linux/devfs_fs_kernel.h>
 #include <stdarg.h>
_
